de.esprit.netsuite.netdata.transfer

## Class FileStreamJob

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.netdata.transfer.AbstractTransferJob
      - - de.esprit.netsuite.netdata.transfer.FileStreamJob

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class FileStreamJob
      extends AbstractTransferJob

  This class defines a job for a stream download. Its used as an argument for a `FileStreamDownloadAgent`
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileStreamJob(SessionId sessionId, FileDataType dataType, java.io.File serverBaseDir, java.lang.String serverFileName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RemoteFileInfo` | `checkServerEntry(ServerContext serverCtx)`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.netsuite.netdata.transfer.AbstractTransferJob

      `checkConsistency, findServerFile, getClientBaseDir, getClientFile, getClientFileName, getFileDataType, getJobId, getJobName, getPercentageDone, getRealFileSize, getResourceName, getServerBaseDir, getServerFile, getServerFileName, getServerRootDir, getSessionId, getTransferDirection, isCreateTargetDir, isDownload, isKeepZippedOnServer, isSourceFileRequired, isTransferZipped, isUpload, isZippable, setClientFile, setCreateTargetDir, setJobId, setKeepZippedOnServer, setPercentageDone, setRealFileSize, setServerFile, setServerRootSubPath, setTransferZipped, setWasFoundZippedOnServer, toDumpString, wasFoundZippedOnServer`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileStreamJob

          public FileStreamJob(SessionId sessionId,
                       FileDataType dataType,
                       java.io.File serverBaseDir,
                       java.lang.String serverFileName)

  - ### Method Detail

    - #### checkServerEntry

          public final RemoteFileInfo checkServerEntry(ServerContext serverCtx)
                                                throws ServerException

      Specified by:
        `checkServerEntry` in class `AbstractTransferJob`
      Throws:
        `ServerException`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.